Name:           openstack-puppet-modules
Version:        2015.1.8
Release:        8%{?dist}
Summary:        Collection of Puppet modules for OpenStack deployment
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

Source0:        https://github.com/redhat-openstack/%{name}/archive/%{version}.tar.gz

Patch0001: 0001-Explicitly-say-that-ovs_redhat-parent-is-ovs.patch
Patch0002: 0002-Fix-support-for-puppet-4.patch
Patch0003: 0003-Rabbitmq-set-repos_ensure-to-false.patch
Patch0004: 0004-Revert-access-out-of-scope-variables-via-the-scope.l.patch
Patch0005: 0005-Fix-Heat-302-redirects.patch
Patch0006: 0006-Support-setting-instance_user-to-an-empty-string.patch
Patch0007: 0007-Expose-RPC-response-timeout-as-a-puppet-parameter.patch
Patch0008: 0008-horizon-Change-default-documentation-URL.patch
Patch0009: 0009-Remove-mode-tcp-enforcement-where-unneeded-we-defaul.patch
Patch0010: 0010-Add-missing-options-to-Ceilometer-Ironic-Horizon.patch
Patch0011: 0011-Creation-of-neutron-db-sync.patch
Patch0012: 0012-Run-neutron-db-sync-also-for-each-neutron-module.patch
Patch0013: 0013-Listener-options-for-Ironic-ceilometer-glance_regist.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1

# remove patch cruft from patch0002 due to line offsets
rm -f trove/manifests/init.pp.orig

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r $(grep ^mod Puppetfile |cut -d\' -f2) %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet/modules/*
%{_datadir}/openstack-puppet/Puppetfile


%changelog
* Tue Jul 21 2015 Gael Chamoulaud <gchamoul@redhat.com> 2015.1.8-8
- add 0013-Listener-options-for-Ironic-ceilometer-glance_regist.patch
  (rhbz#1236057)

* Tue Jul 16 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-7
- Add Run neutron db sync also for each neutron module
  (rhbz#1233149, rhbz#1230199, #1474961)

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-6
- Drop "Run neutron db sync also for each neutron module"

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-5
- Run neutron db sync also for each neutron module
- Creation of neutron::db::sync
- Add missing options to Ceilometer/Ironic/Horizon

* Thu Jul 09 2015 Iván Chavero <ichavero@redhat.com> - 2015.1.8-4
- Add 0006-Support-setting-instance_user-to-an-empty-string.patch (rhbz#1240833)
- Fix eng repo (patches changed ID numbers).

* Wed Jul 08 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-3
- Add 0005-Expose-RPC-response-timeout-as-a-puppet-parameter.patch

* Mon Jul 06 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-2
- Fix Url for Documentation

* Fri Jul 03 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-1
- Update to upstream 2015.1.8
- Remove Unused patches
- Add 0004-Fix-Heat-302-redirects.patch

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-5
- Deliver fixes for tripleo.
- Introduce param to enable use of clustercheck
- Use mode tcp for glance-registry balancing
- Add $verify_on_create ability for all resources.

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-4
- Revert "glance provider: pick os_region_name from DEFAULT"
- Fixes error: "/etc/glance/glance-api.conf does not contain all required sections."

* Thu Jun 25 2015 Iván Chavero <ichavero@redhat.com> 2015.1.7-3
- Add 0007-Install-only-required-libvirt-packages.patch

* Wed Jun 24 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-2
- Revert "access out-of-scope variables via the scope.lookupvar method"

* Tue Jun 23 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-1
- Update to upstream 2015.1.7

* Wed Jun 17 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-2
- [Rabbitmq] set repos_ensure to false

* Mon Jun 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-1
- Update to upstream 2015.1.6

* Fri Jun 12 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.5-1
- Update to upstream 2015.1.5

* Thu Jun 11 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.4-1
- Update to upstream 2015.1.4
- Update glance to latest master (rhbz#1230449)

* Thu Jun 04 2015 Jon Schlueter <jschluet@redhat.com> 2015.1.3-3
- remove patch cruft file

* Wed Jun 03 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.3-2
- Fixed patch problem
- Remove: 0003-Deprecate-mysql-server-resource-creation.patch
- Resolves: rhbz#1226405

* Tue Jun 02 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.3-1
- Update to upstream 2015.1.3
- Remove: 0003-Deprecate-mysql-server-resource-creation.patch
- Resolves: rhbz#1226405

* Fri May 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.2-1
- Update to upstream 2015.1.2

* Wed May 13 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.1-1
-  Updated to release 2015.1.1

* Mon May 11 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2015.1.0-2
- Add patch to fix TripleO support

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
